Package org.eclipse.emf.cdo.server

## Interface IRepositoryProvider

- All Known Implementing Classes:
    `ContainerRepositoryProvider`, `PluginRepositoryProvider`

      public interface IRepositoryProvider

  Provides the consumer with CDO `repositories` specified by their name.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IRepository` | `getRepository​(java.lang.String name)` |

- - ### Method Detail

    - #### getRepository

          IRepository getRepository​(java.lang.String name)